/**
 * ActRelationshipPosting2.java
 *
 * File generated from the medication2::ActRelationshipPosting2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActRelationshipPosting2.
 *
 * 
 */

@XmlType(name = "ActRelationshipPosting")
@XmlEnum
@XmlRootElement(name = "ActRelationshipPosting2")
public enum ActRelationshipPosting2 {
	@XmlEnumValue("CREDIT")
	CREDIT("CREDIT"),
	@XmlEnumValue("DEBIT")
	DEBIT("DEBIT");
	
	private final String value;

    ActRelationshipPosting2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ActRelationshipPosting2 fromValue(String v) {
        for (ActRelationshipPosting2 c: ActRelationshipPosting2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
